package com.bcxin.ins.third.build.yangguang.yggc;

import com.bcxin.ins.vo.OrderFormVo;
import com.bcxin.ins.vo.SpecialBidVo;

/**
 * 保单信息 ----> 被保险人信息
 * Created by Apple on 2017/7/19.
 */
public class BDInsuranceSchema {

    private String holderName; // 投保人
    private String  holderIdNo; // 投保人证件号码
    private String  policyNo; //保单号

    public BDInsuranceSchema(){ }

    public BDInsuranceSchema(String demo){
        this.holderName = "八贤王";
        this.holderIdNo = "110101198001010021";
        this.policyNo = "SV5N2213201700372492";

    }
    public BDInsuranceSchema(OrderFormVo dto, SpecialBidVo vo){
        this.holderName = vo.getRoleSubjectList().get(0).getName_cn();
        this.holderIdNo = vo.getRoleSubjectList().get(0).getOrganization_code();
        this.policyNo = dto.getExternal_reference();

    }

    public String getHolderName() {
        return holderName;
    }

    public void setHolderName(String holderName) {
        this.holderName = holderName;
    }

    public String getHolderIdNo() {
        return holderIdNo;
    }

    public void setHolderIdNo(String holderIdNo) {
        this.holderIdNo = holderIdNo;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }
}
